"""
author Daniel Riegelhaupt

a python action for the electrical model
when creating a 2 gate piece also create the positve and negative gates
"""
import Electrical_MM

#define private (in the context of this module) functions to get the correct offset for the gates
#the offset have been found purely by trial and error
def getPosOffset(piece):
	if piece.__class__.__name__ == "ConstantVoltage":
		return (15 ,40)
	elif piece.__class__.__name__ == "StepVoltage":
		return (0 ,45)
	elif piece.__class__.__name__ == "SineVoltage":
		return (-5 ,45)
	else:
		return (-10,30) #offset in case of: resistance, capicitor or inductor

def getNegOffset(piece):
	if piece.__class__.__name__ == "ConstantVoltage":
		return (100 ,40)
	elif piece.__class__.__name__ == "StepVoltage":
		return (90,45)
	elif piece.__class__.__name__ == "SineVoltage":
		return (85 ,45)
	else:
		return (80, 30)  #offset in case of: resistance, capicitor or inductor

def createGates(piece):
	#get the atom3 interface
	atom3i = piece.parent 
	
	#create the gates
	pos_gate = Electrical_MM.createNewp_gate(atom3i,0,0) 
	neg_gate = Electrical_MM.createNewn_gate(atom3i,0,0) 
	
	# create the associations
	pos_obj_assoc = Electrical_MM.createNewp_to_object(atom3i,0,0)
	obj_neg_assoc = Electrical_MM.createNewobject_to_n(atom3i,0,0)

	#draw the connections
	#for the pos gate first connect the assoc with the piece then connect the gate with assoc
	atom3i.drawConnections((pos_obj_assoc ,piece,[0.0, 0.0, 0.0, 0.0],"true", 2))
	atom3i.drawConnections((pos_gate,pos_obj_assoc,[0.0, 0.0, 0.0, 0.0],"true", 2))
   #for the neg gate first connect the piece with the assoc then the assoc with the neg gate 
	atom3i.drawConnections((piece, obj_neg_assoc,[0.0, 0.0, 0.0, 0.0],"true", 2))
	atom3i.drawConnections((obj_neg_assoc,neg_gate,[0.0, 0.0, 0.0, 0.0],"true", 2))
	
	#center the gates correctly
	#do this here instead of its own constraints because this is the only place where they will be made
	#and beacause since we already have the piece there is no need to look fo it again
	
	#x and y offset found on experimental basis
		
  	#the neg gate
  	(X_OFFSET, Y_OFFSET) = getNegOffset(piece)
	x = piece.graphObject_.x - neg_gate.graphObject_.x
	y = piece.graphObject_.y - neg_gate.graphObject_.y      
	neg_gate.graphObject_.Move(x+X_OFFSET,y + Y_OFFSET)
 
   #the pos gate
	(X_OFFSET, Y_OFFSET) = getPosOffset(piece)
	x = piece.graphObject_.x - pos_gate.graphObject_.x
	y = piece.graphObject_.y - pos_gate.graphObject_.y      
	pos_gate.graphObject_.Move(x + X_OFFSET,y + Y_OFFSET)
   

