"""
author Daniel Riegelhaupt

a python action for the electrical model
when creating a 1 gate piece also create the positve gate
"""
import Electrical_MM

#define private (in the context of this module) functions to get the correct offset for the gates
#the offset have been found purely by trial and error
def getPosOffset(piece):
	if piece.__class__.__name__ == "Ground":
		return (25,-10)
	else:
		return (0,0) #this should noramlly never happen



def createGate(piece):
	#get the atom3 interface
	atom3i = piece.parent 
	
	#create the gate
	pos_gate = Electrical_MM.createNewp_gate(atom3i,0,0) 

	
	# create the associations
	pos_obj_assoc = Electrical_MM.createNewp_to_object(atom3i,0,0)

	#draw the connections
	#for the pos gate first connect the assoc with the piece then connect the gate with assoc
	atom3i.drawConnections((pos_obj_assoc ,piece,[0.0, 0.0, 0.0, 0.0],"true", 2))
	atom3i.drawConnections((pos_gate,pos_obj_assoc,[0.0, 0.0, 0.0, 0.0],"true", 2))

	
	#center the gate correctly
	#do this here instead of its own constraints because this is the only place where it will be made
	#and beacause since we already have the piece there is no need to look fo it again
		
   #the pos gate
	(X_OFFSET, Y_OFFSET) = getPosOffset(piece)
	x = piece.graphObject_.x - pos_gate.graphObject_.x
	y = piece.graphObject_.y - pos_gate.graphObject_.y      
	pos_gate.graphObject_.Move(x + X_OFFSET,y + Y_OFFSET)
   

