#define private (in the context of this module) functions to get the correct offset for the gates
#the offset have been found purely by trial and error
def getPosOffset(piece):
	
	if piece.__class__.__name__ == "ConstantVoltage":
		return (15 ,40) 
	elif piece.__class__.__name__ == "StepVoltage":
		return (0 ,45)
	elif piece.__class__.__name__ == "SineVoltage":
		return (-5 ,45)
	elif piece.__class__.__name__ == "Ground":
		return (25,-10)
	else:
		return (-10,30) #offset in case of: resistance, capicitor or inductor-10,30


def getNegOffset(piece):
	if piece.__class__.__name__ == "ConstantVoltage":
		return (100 ,40)
	elif piece.__class__.__name__ == "StepVoltage":
		return (90,45)
	elif piece.__class__.__name__ == "SineVoltage":
		return (85 ,45)
	else:
		return (80, 30)  #offset in case of: resistance, capicitor or inductor


def move(piece):
  assocs = piece.in_connections_
  for assoc in assocs:
    objs = assoc.in_connections_
    for obj in objs:
    	x = piece.graphObject_.x - obj.graphObject_.x
    	y = piece.graphObject_.y - obj.graphObject_.y
    	x_offset , y_offset = getPosOffset(piece)
    	obj.graphObject_.Move(x+x_offset,y+y_offset)

  assocs = piece.out_connections_
  for assoc in assocs:
    objs = assoc.out_connections_
    for obj in objs:
    	x = piece.graphObject_.x - obj.graphObject_.x
    	y = piece.graphObject_.y - obj.graphObject_.y
    	x_offset , y_offset = getNegOffset(piece)
    	obj.graphObject_.Move(x+x_offset,y+y_offset)

  
  
