"""
__graph_capacitor.py___________________________________________________________

Automatically generated graphical appearance ---> MODIFY DIRECTLY WITH CAUTION
_______________________________________________________________________________
"""
import tkFont

from graphEntity     import *
from GraphicalForm   import *
from ATOM3Constraint import *

class graph_Capacitor(graphEntity):

    def __init__(self, x, y, semObject = None):
        self.semanticObject = semObject
        self.sizeX, self.sizeY = 81, 70
        graphEntity.__init__(self, x, y)
        self.ChangesAtRunTime = 0
        self.constraintList = []
        if self.semanticObject: atribs = self.semanticObject.attributesToDraw()
        else: atribs = None
        self.graphForms = []
        self.imageDict = self.getImageDict()

    def DrawObject(self, drawing, showGG = 0):
        self.dc = drawing
        if showGG and self.semanticObject: self.drawGGLabel(drawing)
        self.image_gf32 = PhotoImage(format='gif',data=self.imageDict['cap_model.gif' ])
        h = drawing.create_image(self.translate([0.0, 2.0]), tags = self.tag, image = self.image_gf32)
        self.gf32 = GraphicalForm(drawing, h, 'gf32', 'cap_model.gif')
        self.graphForms.append(self.gf32)

        h = drawing.create_oval(self.translate([40.0, 2.0, 40.0, 2.0]), tags = (self.tag, 'connector'), outline = '', fill = '' )
        self.connectors.append( h )

        h = drawing.create_oval(self.translate([-39.0, 4.0, -39.0, 4.0]), tags = (self.tag, 'connector'), outline = '', fill = '' )
        self.connectors.append( h )

        if self.semanticObject: drawText = self.semanticObject.name.toString()
        else: drawText = "<name>"
        font = tkFont.Font( family='Helvetica', size=12, weight='normal', slant='roman', underline=0)
        h = drawing.create_text(self.translate([2.0, -25.0, 2.0, -69.0])[:2], tags = self.tag, font=font, fill = 'black', anchor = 'center', text = drawText, width = '0', justify= 'left', stipple='' )
        self.attr_display["name"] = h
        self.gf36 = GraphicalForm(drawing, h, 'gf36', fontObject=font)
        self.graphForms.append(self.gf36)

        font = tkFont.Font( family='Arial', size=12, weight='normal', slant='roman', underline=0)
        h = drawing.create_text(self.translate([-18.0, 25.0, -18.0, -72.0])[:2], tags = self.tag, font=font, fill = 'grey45', anchor = 'center', text = 'C =', width = '0', justify= 'left', stipple='' )
        self.gf37 = GraphicalForm(drawing, h, 'gf37', fontObject=font)
        self.graphForms.append(self.gf37)

        if self.semanticObject: drawText = self.semanticObject.C.toString()
        else: drawText = "<C>"
        font = tkFont.Font( family='Helvetica', size=12, weight='normal', slant='roman', underline=0)
        h = drawing.create_text(self.translate([16.0, 24.0, 16.0, -74.0])[:2], tags = self.tag, font=font, fill = 'black', anchor = 'center', text = drawText, width = '0', justify= 'left', stipple='' )
        self.attr_display["C"] = h
        self.gf38 = GraphicalForm(drawing, h, 'gf38', fontObject=font)
        self.graphForms.append(self.gf38)



    def postCondition( self, actionID, * params):
        return None

    def preCondition( self, actionID, * params):
        return None

    def getImageDict( self ):
        imageDict = dict()

        imageDict[ 'constSource_model.gif' ] = ''+\
'R0lGODlhUQBBALMAAAAAAP////+Z///M/2YA/zMA/wAA/zNm/2aZ/2bM/////wAAAAAAAAAAAAAAAAAA'+\
'ACH5BAEAAAoALAAAAABRAEEAAATWUMlJq7046827/2AojmRpnmiqYsDqpu0rk/Fsf/Wta/nuV72fMCj0'+\
'EYu6I9KmXMqaThd0WVhNkVXVtZiFUba3LioHdhEM6DT6RI6e1Wn2dxUYqA8dsXxS3gQEagh5VnNREwUJ'+\
'WoWGCnombYwvkJGEfJRSi5djmZqPnJ00n0kApKWmp6ipqV+qra6vpDuToCWztCO2tyG5ujiivR28wBzC'+\
'wzy/xhnFyRfLzEDIz9CW0sTR1RJ91drS3M/ezODJ4sbkw+bA6L3quuy37rTwoPLY9fb3+PklEQA7'        

        imageDict[ 'sineSource_model.gif' ] = ''+\
'R0lGODlhUQBBAPcAAAAAAIAAAACAAICAAAAAgIAAgACAgICAgMDAwP8AAAD/AP//AAAA//8A/wD/////'+\
'/wAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA'+\
'AAAAAAAAAAAAAAAAAAAAAAAAMwAAZgAAmQAAzAAA/wAzAAAzMwAzZgAzmQAzzAAz/wBmAABmMwBmZgBm'+\
'mQBmzABm/wCZAACZMwCZZgCZmQCZzACZ/wDMAADMMwDMZgDMmQDMzADM/wD/AAD/MwD/ZgD/mQD/zAD/'+\
'/zMAADMAMzMAZjMAmTMAzDMA/zMzADMzMzMzZjMzmTMzzDMz/zNmADNmMzNmZjNmmTNmzDNm/zOZADOZ'+\
'MzOZZjOZmTOZzDOZ/zPMADPMMzPMZjPMmTPMzDPM/zP/ADP/MzP/ZjP/mTP/zDP//2YAAGYAM2YAZmYA'+\
'mWYAzGYA/2YzAGYzM2YzZmYzmWYzzGYz/2ZmAGZmM2ZmZmZmmWZmzGZm/2aZAGaZM2aZZmaZmWaZzGaZ'+\
'/2bMAGbMM2bMZmbMmWbMzGbM/2b/AGb/M2b/Zmb/mWb/zGb//5kAAJkAM5kAZpkAmZkAzJkA/5kzAJkz'+\
'M5kzZpkzmZkzzJkz/5lmAJlmM5lmZplmmZlmzJlm/5mZAJmZM5mZZpmZmZmZzJmZ/5nMAJnMM5nMZpnM'+\
'mZnMzJnM/5n/AJn/M5n/Zpn/mZn/zJn//8wAAMwAM8wAZswAmcwAzMwA/8wzAMwzM8wzZswzmcwzzMwz'+\
'/8xmAMxmM8xmZsxmmcxmzMxm/8yZAMyZM8yZZsyZmcyZzMyZ/8zMAMzMM8zMZszMmczMzMzM/8z/AMz/'+\
'M8z/Zsz/mcz/zMz///8AAP8AM/8AZv8Amf8AzP8A//8zAP8zM/8zZv8zmf8zzP8z//9mAP9mM/9mZv9m'+\
'mf9mzP9m//+ZAP+ZM/+ZZv+Zmf+ZzP+Z///MAP/MM//MZv/Mmf/MzP/M////AP//M///Zv//mf//zP//'+\
'/ywAAAAAUQBBAAAI/wAfCBxIsKDBgdQSUjvIsKHDhxAjGlw4MBVFiRgzamx4kWDHjSBDOvxYUaTJkwVJ'+\
'IkTJMmSqkS1jZlTpUaZNmA9f3tyZMiJNnix1QqQIoKjRo0BD/iRYlBoAh0aTYlw68OkDoQ+LSh0KVetK'+\
'iV63GsRq0GrPjGbFfj2Y9izGtlt/wiVINuJcllEaTWR4t6bGviLzRTlUsK5AwGvR3szrlqlEqg0RaxRM'+\
'mG7ZjIbtoqzDoLPnzrdISm789yTnz54bidaYWfPBfJ+7RGSc+PBGyHwZwvY8BiJlv1VB4s6NV6/Aj6MP'+\
'Didu8rdAsskPtoYYfWrB6qQVy1ztUiR2ro5NLte/HBP5yfHXt6cX7z1m3e9jQ2I/Sh+A0/r48+u/r79/'+\
'f/5RaWfSdFA5RCB1LKFnG0MKknceSH01uN6DG0WIEnzSVcgRSxhml9WGHAZVGkMHgtXSeBa21CFwCDIo'+\
'04q1FejiiyK2OGNMMB7nmnI75XggYCVCiNJSiEm4o1KRPWSkiSLRJNmSTHY3IU5SdWgeeGJZGVxEQaoY'+\
'lnVfKqnWlD5VB6VJSEWm1XhncqifZRJ1OSaVWM7JXp12NulTnjU2JCefdO4FaJ8eDoqkR20aqmNJim6n'+\
'kEgBAQA7'        

        imageDict[ 'stepSource_model.gif' ] = ''+\
'R0lGODlhUQBBAPcAAAAAAIAAAACAAICAAAAAgIAAgACAgICAgMDAwP8AAAD/AP//AAAA//8A/wD/////'+\
'/wAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA'+\
'AAAAAAAAAAAAAAAAAAAAAAAAMwAAZgAAmQAAzAAA/wAzAAAzMwAzZgAzmQAzzAAz/wBmAABmMwBmZgBm'+\
'mQBmzABm/wCZAACZMwCZZgCZmQCZzACZ/wDMAADMMwDMZgDMmQDMzADM/wD/AAD/MwD/ZgD/mQD/zAD/'+\
'/zMAADMAMzMAZjMAmTMAzDMA/zMzADMzMzMzZjMzmTMzzDMz/zNmADNmMzNmZjNmmTNmzDNm/zOZADOZ'+\
'MzOZZjOZmTOZzDOZ/zPMADPMMzPMZjPMmTPMzDPM/zP/ADP/MzP/ZjP/mTP/zDP//2YAAGYAM2YAZmYA'+\
'mWYAzGYA/2YzAGYzM2YzZmYzmWYzzGYz/2ZmAGZmM2ZmZmZmmWZmzGZm/2aZAGaZM2aZZmaZmWaZzGaZ'+\
'/2bMAGbMM2bMZmbMmWbMzGbM/2b/AGb/M2b/Zmb/mWb/zGb//5kAAJkAM5kAZpkAmZkAzJkA/5kzAJkz'+\
'M5kzZpkzmZkzzJkz/5lmAJlmM5lmZplmmZlmzJlm/5mZAJmZM5mZZpmZmZmZzJmZ/5nMAJnMM5nMZpnM'+\
'mZnMzJnM/5n/AJn/M5n/Zpn/mZn/zJn//8wAAMwAM8wAZswAmcwAzMwA/8wzAMwzM8wzZswzmcwzzMwz'+\
'/8xmAMxmM8xmZsxmmcxmzMxm/8yZAMyZM8yZZsyZmcyZzMyZ/8zMAMzMM8zMZszMmczMzMzM/8z/AMz/'+\
'M8z/Zsz/mcz/zMz///8AAP8AM/8AZv8Amf8AzP8A//8zAP8zM/8zZv8zmf8zzP8z//9mAP9mM/9mZv9m'+\
'mf9mzP9m//+ZAP+ZM/+ZZv+Zmf+ZzP+Z///MAP/MM//MZv/Mmf/MzP/M////AP//M///Zv//mf//zP//'+\
'/ywAAAAAUQBBAAAI/wAfCBxIsKDBgwgJUlvIsKHDhxAbJpxIseLBVBYzatzIsSC1jiBDihSIcaTJkxM/'+\
'olzJ8kHJljBFqoxJk+PLmjgrzszJkyCAnwBSAf3Zk+ZQhQWBFl0JAOFNn02XglSKcKdBolI1Rp349ODW'+\
'rBO/JrSKUCzYpBm7lq0ZpZFWjWQTmj2ZL8qhjHMTqpUbs63FvGM5AgZZ9y7FwU47IrZYh4Hjx45veQUZ'+\
't+Jiio0hP3Z7FeTewwjzQe5i0W9YylMRzoNseGLh055DXi7NeXLIyn/p2uUb8rPlnrMP4v7NM7hB36Bz'+\
'Gjc4nHjN5QWRJ38+svl0oyOlw9Y6tLv37+DDU5kLT748ecHZR0LfuH6g9e3YRWrnTV2meuXpRbZ/e1s/'+\
'cPn+FWefbEW1N19nBfaX2lLrHehTVuu9h6BU0Dko0H73bSThQBiaZJyDHZ4U3IYhojTbfCUyZdF7KbK0'+\
'mHQttkSVcGHFGN9xZdmI01HuJYXVWSICJRSPQMa0YZEAIpnTkUp2ZGGTGkJZ05NSrlhlTFTCFNGWXD6U'+\
'VUAAOw=='        

        imageDict[ 'cap_model.gif' ] = ''+\
'R0lGODlhUQAaAPcAAAAAAIAAAACAAICAAAAAgIAAgACAgICAgMDAwP8AAAD/AP//AAAA//8A/wD/////'+\
'/wAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA'+\
'AAAAAAAAAAAAAAAAAAAAAAAAMwAAZgAAmQAAzAAA/wAzAAAzMwAzZgAzmQAzzAAz/wBmAABmMwBmZgBm'+\
'mQBmzABm/wCZAACZMwCZZgCZmQCZzACZ/wDMAADMMwDMZgDMmQDMzADM/wD/AAD/MwD/ZgD/mQD/zAD/'+\
'/zMAADMAMzMAZjMAmTMAzDMA/zMzADMzMzMzZjMzmTMzzDMz/zNmADNmMzNmZjNmmTNmzDNm/zOZADOZ'+\
'MzOZZjOZmTOZzDOZ/zPMADPMMzPMZjPMmTPMzDPM/zP/ADP/MzP/ZjP/mTP/zDP//2YAAGYAM2YAZmYA'+\
'mWYAzGYA/2YzAGYzM2YzZmYzmWYzzGYz/2ZmAGZmM2ZmZmZmmWZmzGZm/2aZAGaZM2aZZmaZmWaZzGaZ'+\
'/2bMAGbMM2bMZmbMmWbMzGbM/2b/AGb/M2b/Zmb/mWb/zGb//5kAAJkAM5kAZpkAmZkAzJkA/5kzAJkz'+\
'M5kzZpkzmZkzzJkz/5lmAJlmM5lmZplmmZlmzJlm/5mZAJmZM5mZZpmZmZmZzJmZ/5nMAJnMM5nMZpnM'+\
'mZnMzJnM/5n/AJn/M5n/Zpn/mZn/zJn//8wAAMwAM8wAZswAmcwAzMwA/8wzAMwzM8wzZswzmcwzzMwz'+\
'/8xmAMxmM8xmZsxmmcxmzMxm/8yZAMyZM8yZZsyZmcyZzMyZ/8zMAMzMM8zMZszMmczMzMzM/8z/AMz/'+\
'M8z/Zsz/mcz/zMz///8AAP8AM/8AZv8Amf8AzP8A//8zAP8zM/8zZv8zmf8zzP8z//9mAP9mM/9mZv9m'+\
'mf9mzP9m//+ZAP+ZM/+ZZv+Zmf+ZzP+Z///MAP/MM//MZv/Mmf/MzP/M////AP//M///Zv//mf//zP//'+\
'/yH5BAEAABAALAAAAABRABoAAAibACEIHEiwoMGDBVu0QChQIcOHECNKjOiQYcWJGDNqHHjxYMeNIEMa'+\
'/JhwociTKEkSVImypUSWDU26nDkRJgSbNHPGfIhTJ02bPX26BCpTqNGbRUcmPaqTKNOjTqEqnEq1qtWr'+\
'V3li3coVq1StT41GDdt06UqzZFOi3Zk259i2Q9cihftTblC6L+3KxYvxLd+Qfv9uDCw4I2GaAQEAOw=='        

        imageDict[ 'res_model_.gif' ] = ''+\
'R0lGODlhUQAdAJEAAAAAAP///wAA/////yH5BAEAAAMALAAAAABRAB0AAAJznG+iy+0Po5So2iGu3rx7'+\
'm32JSJYmVobnyiLq97ZySs82GXf5zYN1D/ThgkTXrxjcbZTIGfPybLKiFarUZD1kryJlhNv7QsG8LYps'+\
'M5vRGjXbeXyf3PJpvD7M47H3vYfupwcT2LdEKPh32JUy0ej4+KhRAAA7'        

        return imageDict

new_class = graph_Capacitor
